Subject: Re: [PATCH v3] repack: enable bitmaps by default on bare repos

From: SZEDER Gábor <[email-masked]>
Date: Fri, 24 May 2019 11:29:20 +0200

On Fri, May 24, 2019 at 11:01:39AM +0200, Ævar Arnfjörð Bjarmason wrote:
> I don't think it's a performance problem to have an old commit-graph
> lying around. But if you turn on the commit-graph, run gc a bunch, then
> turn it off in config we'll have it lying around forever, even if you do
> subsequent gc's.
> 
> So I think we should delete such things on the general principle that
> the end-state of a gc's shouldn't be the accumulation of the values of
> past configuration options if we can help it.
> 
> Maybe that screws over other users who did a "commit-graph write"
> without setting gc.writeCommitGraph, but I think the only sane thing to
> do is to make "gc" fully 'own' such things if its turned on at all.

Note that there is 'core.commitGraph' as well; as long as it's
enabled, no commit-graph files should be deleted.